import { j as d } from "../../_virtual/jsx-runtime.js";
import { IconWrapper as c } from "./styles.js";
import { getTagComponent as g } from "./utils.js";
import { getId as l } from "../../utils/index.js";
function u({
  label: a,
  variant: i = "neutral",
  icon: r,
  size: e = "large",
  isSubtle: n,
  className: o,
  ...t
}) {
  const m = g(i), s = l(t["data-testid"]);
  return /* @__PURE__ */ d.jsxs(
    m,
    {
      className: o,
      size: e,
      isSubtle: n,
      "data-testid": t["data-testid"],
      "data-trackid": t["data-trackid"],
      "aria-label": t["aria-label"] || a,
      children: [
        r && e === "large" && /* @__PURE__ */ d.jsx(c, { "data-testid": s("icon"), children: r }),
        a
      ]
    }
  );
}
export {
  u as Tag
};
